const dataConfigKey = 'data_config_list'

const filedConfigKey = 'filed_config_list'


const areaConfigKey = 'area_config_list'
const timeConfigKey = 'time_config_list'


const dialysisAreaConfigKey = 'dialysis_area_config'
const dialysisTimeConfigKey = 'dialysis_time_config'

const dialysisOrWaitConfigKey = 'dialysis_or_wait_config'


const WaitTypeConfigKey = 'wait_type_config'
const PatientTypeConfigKey = 'patient_type_config'


export function getDataConfigList() {
  return window.sessionStorage.getItem(dataConfigKey)
}

export function setDataConfigList(infoJSONStr) {
  window.sessionStorage.setItem(dataConfigKey, infoJSONStr)
}

export function removeDataConfigList() {
  window.sessionStorage.removeItem(dataConfigKey)
}


export function getFiledConfigList() {
  return window.sessionStorage.getItem(filedConfigKey)
}

export function setFiledConfigList(infoJSONStr) {
  window.sessionStorage.setItem(filedConfigKey, infoJSONStr)
}

export function removeFiledConfigList() {
  window.sessionStorage.removeItem(filedConfigKey)
}


export function setSelectedAreaDataConfigList(value) {
  console.log(value)
  window.sessionStorage.setItem(areaConfigKey, value)
}

export function setSelectedTimesDataConfigList(value) {
  console.log(value)
  window.sessionStorage.setItem(timeConfigKey, value)
}



export function setDialysisSelectedAreaDataConfigList(value) {
  window.sessionStorage.setItem(dialysisAreaConfigKey, value)
}

export function setDialysisSelectedTimesDataConfigList(value) {
  window.sessionStorage.setItem(dialysisTimeConfigKey, value)
}



export function getSelectedAreaDataConfigList() {
  return window.sessionStorage.getItem(areaConfigKey)
}

export function getSelectedTimesDataConfigList() {
  return  window.sessionStorage.getItem(timeConfigKey)
}



export function getDialysisSelectedAreaDataConfigList() {
  return window.sessionStorage.getItem(dialysisAreaConfigKey)
}

export function getDialysisSelectedTimesDataConfigList() {
  return  window.sessionStorage.getItem(dialysisTimeConfigKey)
}

export function setDialysisOrWaitSelectedConfig(value) {
  window.sessionStorage.setItem(dialysisOrWaitConfigKey, value)
}


export function getDialysisOrWaitSelectedConfig() {
  return window.sessionStorage.getItem(dialysisOrWaitConfigKey)
}


export function setWaitTypeSelectedConfig(value) {
  window.sessionStorage.setItem(WaitTypeConfigKey, value)
}


export function getWaitTypeSelectedConfig() {
  return window.sessionStorage.getItem(WaitTypeConfigKey)
}

export function setPatientTypeSelectedConfig(value) {
  window.sessionStorage.setItem(PatientTypeConfigKey, value)
}


export function getPatientTypeSelectedConfig() {
  return window.sessionStorage.getItem(PatientTypeConfigKey)
}
